Subject: Re: Sergey's cygwin.dll
From: [email-masked] (Larry Hall)

6 Jun 1997 14:44:21 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 2.2 (32)
Original-To: Arlindo da Silva <[email-masked]>,
        [email-masked] (Seymore Buttz)
Original-Cc: [email-masked]
Original-Sender: [email-masked]

At 07:55 PM 6/4/97 -0400, Arlindo da Silva wrote:
>> 
>> Hey, I was wondering if anyone else has had trouble with Sergey's
>> cygwin.dll?  I tried it on my OSR2 Win95, copying cygwin.dll and
>> libcygwin.a to their appropriate places.  Here's what happens when I run
>> some prorgams:
>> 
>> bash$ ls
>> (unknown) heap_init: unable to allocate heap, win32 error 8
>> cygwin: terminating
>> bash$
>> 
>> Sergey told me error 8 is an out of memory error, but I've got plenty. 
>> And the Win95 swap file is no where near maxed out, should it want more
>> memory.
>> 
>
>I had the same problem first time I installed Sergey's patch.
>I guess it has to do with symlinks. I just went to c:\cygnus and from
COMMAND.COM:
>
>C:\CYGNUS> dir cygwin.dll /s
>
>I copied cydwin.dll to all places where it appeared (3 directories if 
>I recall well). I probably could have redone the symlinks, but it didn't 
>have the patience. BTW, I have the original win95.
>
>   Arlindo.

I've not experienced any such problems with Sergey's patch, maybe cause
only 1 version of the cygwin.dll is in my path.  This brings up an 
interesting point though... why is there more than one copy of cygwin.dll??
I checked my cygnus install root and found I had 2 copies myself, one in
bin (which was Sergey's) and one in i386-cygwin32/lib which was the original.
Why the two places?  Can I get rid of one??  I certainly don't like having
2 around for a variety of reasons and, although I haven't checked it, I don't
think I can remedy the space consideration by using symlinks as Arlindo 
suggests since symlinks are apparently not followed correctly for
executables.  At least, that's what I see.  Anyway, the real question is,
why the multiple copies??  Anyone know?

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (617) 239-1053
8 Grove Street                          (617) 239-1655 - FAX
Wellesley, MA  02181                             

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".